<?
include_once("./_common.php");

$control_time = "60"; 

//회원이 아닐경우 종료 시작
if (!$memberid or !$ip or !$date) { 
alert("접근이 잘못 되었습니다.\\n\\n관리자에게 문의하세요.","$g4[path]");
}

//설정 갯수 내에 같은 태그가 있을 경우 태그등록 무효
$sql = mysql_query(" select * from $g4[table_prefix]tag order by date desc limit 0, $sum ");
$tag_sum_true = mysql_num_rows($sql);
for ($i=0; $row=mysql_fetch_array($sql); $i++) {		
	$oktag[$i][tag] = $row[tag];

	if ($oktag[$i][tag] == $tag) {
		alert("화면에 출력되는 $sum 개의 태그중에 같은 태그가 있습니다. 다음에 다시 등록하세요","$g4[path]");		
	}
}

//해당 맴버에 등록된 글이 있는지 체크
$sql = mysql_query(" select * from $g4[table_prefix]tag where memberid = '$memberid' order by date desc ");
for ($i=0; $row=mysql_fetch_array($sql); $i++) {
	$list[$i] = $row;
}

$tag = preg_replace ("/[ #\&\+\-%@=\/\\\:;,\.'\"\^`~\_|\!\?\*$#<>()\[\]\{\}]/i", "",  $tag); 

if (!$tag) {
alert("태그가 비었거나 특수문자의 사용은 허용하지 않습니다","$g4[path]");
}

if (!$list[0][date]) {

mysql_query(" insert into $g4[table_prefix]tag set
no = '',
tag  = '$tag',  
memberid = '$memberid',  
ip = '$ip',  
date = '$date' ");

alert("등록되었습니다","$g4[path]");

} else {

//등록된 글이 잇을 경우 설정 시간 이후에 다시 등록 가능

if ($list[0][date] + $control_time > $date) {

$not = ($list[0][date] + $control_time) - $date;

alert("$not 초 후에 태그를 다시 등록 하실 수 있습니다","$g4[path]");

}else{

mysql_query(" insert into $g4[table_prefix]tag set
no = '',
tag  = '$tag',  
memberid = '$memberid',  
ip = '$ip',  
date = '$date' ");

alert("등록되었습니다","$g4[path]");

}

}
?>